Skip to main content
GET
/
payments
/
{paymentId}
Get payment
curl --request GET \
  --url https://api.finpace.tech/payments/{paymentId} \
  --header 'Authorization: Bearer <token>'
{
  "paymentId": "pay_01J8YF6D",
  "amount": {
    "currency": "EUR",
    "amount": "1250.00"
  },
  "status": "pending_approval",
  "debtorArrangementId": "<string>",
  "approvalRequired": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.finpace.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

paymentId
string
required
Example:

"pay_01J8YF6D"

amount
object
required
status
string
required
Example:

"pending_approval"

debtorArrangementId
string
approvalRequired
boolean